User API
Booking Links
Scheduling links
GET
/booking-linksList booking links
Responses
200Links
ok reqenum
truebookingLinks reqobject[]
id reqstring
account reqstring
user reqstring
slugstring | null
isPrimaryboolean
titlestring | null
active reqboolean
meetingTypeenum
virtualin_persontimezonestring | null
offerTimesStartingDaysnumber
notSoonerThanMinutesnumber
atLatestDaysnumber
instructionsstring | null
chatEnabledboolean
accessModeenum
publicanyone_with_linkinvite_onlyshareToken reqstring
inviteesobject[]
id reqstring
name reqstring
email reqstring
statusenum
pendingbookedinvitedAt reqstring
bookedAt reqstring | null
schedulingPreferencesobject
syncboolean
availabilityobject
syncboolean
workingHoursobject
MOobject[]
startstring
endstring
TUobject[]
startstring
endstring
WEobject[]
startstring
endstring
THobject[]
startstring
endstring
FRobject[]
startstring
endstring
SAobject[]
startstring
endstring
SUobject[]
startstring
endstring
workingHolidaysstring[]
customHolidaysstring[]
holidayCountriesstring[]
holidayCountrystring
defaultsobject
syncboolean
virtualobject
durationnumber
defaultMeetingLinkstring
conferenceSolutionstring
conferenceIntegrationstring
inPersonobject
durationnumber
defaultLocationstring
calendarsobject
syncboolean
readstring[]
writestring
buffersobject
syncboolean
bufferTypeenum
nonemeetingtimeBlockbufferLengthnumber
bufferBlockLengthnumber
dailyMeetingLimitnumber
customEventTitlesobject
internalobject
useCustomTitlesboolean
solostring
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
externalobject
useCustomTitlesboolean
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
createdAt reqstring
updatedAt reqstring
pageinteger
perPageinteger
totalinteger
Request
curl 'https://app.openassistant.us/api/booking-links' \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true,
"bookingLinks": [
{
"id": "string",
"account": "string",
"user": "string",
"active": true,
"shareToken": "string",
"createdAt": "2025-01-15T10:30:00.000Z"
}
]
}POST
/booking-linksCreate booking link
Request body
slug reqstring
titlestring
activeboolean
meetingTypeenum
virtualin_personofferTimesStartingDaysnumber
notSoonerThanMinutesnumber
atLatestDaysnumber
instructionsstring | null
chatEnabledboolean
accessModeenum
publicanyone_with_linkinvite_onlyschedulingPreferencesobject
syncboolean
availabilityobject
syncboolean
workingHoursobject
MOobject[]
startstring
endstring
TUobject[]
startstring
endstring
WEobject[]
startstring
endstring
THobject[]
startstring
endstring
FRobject[]
startstring
endstring
SAobject[]
startstring
endstring
SUobject[]
startstring
endstring
workingHolidaysstring[]
customHolidaysstring[]
holidayCountriesstring[]
holidayCountrystring
defaultsobject
syncboolean
virtualobject
durationnumber
defaultMeetingLinkstring
conferenceSolutionstring
conferenceIntegrationstring
inPersonobject
durationnumber
defaultLocationstring
calendarsobject
syncboolean
readstring[]
writestring
buffersobject
syncboolean
bufferTypeenum
nonemeetingtimeBlockbufferLengthnumber
bufferBlockLengthnumber
dailyMeetingLimitnumber
customEventTitlesobject
internalobject
useCustomTitlesboolean
solostring
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
externalobject
useCustomTitlesboolean
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
Responses
201Created
ok reqenum
truebookingLink reqobject
id reqstring
account reqstring
user reqstring
slugstring | null
isPrimaryboolean
titlestring | null
active reqboolean
meetingTypeenum
virtualin_persontimezonestring | null
offerTimesStartingDaysnumber
notSoonerThanMinutesnumber
atLatestDaysnumber
instructionsstring | null
chatEnabledboolean
accessModeenum
publicanyone_with_linkinvite_onlyshareToken reqstring
inviteesobject[]
id reqstring
name reqstring
email reqstring
statusenum
pendingbookedinvitedAt reqstring
bookedAt reqstring | null
schedulingPreferencesobject
syncboolean
availabilityobject
syncboolean
workingHoursobject
MOobject[]
startstring
endstring
TUobject[]
startstring
endstring
WEobject[]
startstring
endstring
THobject[]
startstring
endstring
FRobject[]
startstring
endstring
SAobject[]
startstring
endstring
SUobject[]
startstring
endstring
workingHolidaysstring[]
customHolidaysstring[]
holidayCountriesstring[]
holidayCountrystring
defaultsobject
syncboolean
virtualobject
durationnumber
defaultMeetingLinkstring
conferenceSolutionstring
conferenceIntegrationstring
inPersonobject
durationnumber
defaultLocationstring
calendarsobject
syncboolean
readstring[]
writestring
buffersobject
syncboolean
bufferTypeenum
nonemeetingtimeBlockbufferLengthnumber
bufferBlockLengthnumber
dailyMeetingLimitnumber
customEventTitlesobject
internalobject
useCustomTitlesboolean
solostring
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
externalobject
useCustomTitlesboolean
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
createdAt reqstring
updatedAt reqstring
Request
curl 'https://app.openassistant.us/api/booking-links' \
-X POST \
-H "Authorization: Bearer ak_live_..." \
-H "Content-Type: application/json" \
-d '{
"slug": "string"
}'Response
{
"ok": true,
"bookingLink": {
"id": "string",
"account": "string",
"user": "string",
"active": true,
"shareToken": "string",
"createdAt": "2025-01-15T10:30:00.000Z"
}
}GET
/booking-links/{bookingLinkId}Get booking link
Path parameters
bookingLinkId reqstring
Responses
200Link
ok reqenum
truebookingLink reqobject
id reqstring
account reqstring
user reqstring
slugstring | null
isPrimaryboolean
titlestring | null
active reqboolean
meetingTypeenum
virtualin_persontimezonestring | null
offerTimesStartingDaysnumber
notSoonerThanMinutesnumber
atLatestDaysnumber
instructionsstring | null
chatEnabledboolean
accessModeenum
publicanyone_with_linkinvite_onlyshareToken reqstring
inviteesobject[]
id reqstring
name reqstring
email reqstring
statusenum
pendingbookedinvitedAt reqstring
bookedAt reqstring | null
schedulingPreferencesobject
syncboolean
availabilityobject
syncboolean
workingHoursobject
MOobject[]
startstring
endstring
TUobject[]
startstring
endstring
WEobject[]
startstring
endstring
THobject[]
startstring
endstring
FRobject[]
startstring
endstring
SAobject[]
startstring
endstring
SUobject[]
startstring
endstring
workingHolidaysstring[]
customHolidaysstring[]
holidayCountriesstring[]
holidayCountrystring
defaultsobject
syncboolean
virtualobject
durationnumber
defaultMeetingLinkstring
conferenceSolutionstring
conferenceIntegrationstring
inPersonobject
durationnumber
defaultLocationstring
calendarsobject
syncboolean
readstring[]
writestring
buffersobject
syncboolean
bufferTypeenum
nonemeetingtimeBlockbufferLengthnumber
bufferBlockLengthnumber
dailyMeetingLimitnumber
customEventTitlesobject
internalobject
useCustomTitlesboolean
solostring
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
externalobject
useCustomTitlesboolean
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
createdAt reqstring
updatedAt reqstring
Request
curl 'https://app.openassistant.us/api/booking-links/<bookingLinkId>' \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true,
"bookingLink": {
"id": "string",
"account": "string",
"user": "string",
"active": true,
"shareToken": "string",
"createdAt": "2025-01-15T10:30:00.000Z"
}
}PUT
/booking-links/{bookingLinkId}Update booking link
Path parameters
bookingLinkId reqstring
Request body
slugstring
titlestring
activeboolean
meetingTypeenum
virtualin_personofferTimesStartingDaysnumber
notSoonerThanMinutesnumber
atLatestDaysnumber
instructionsstring | null
chatEnabledboolean
accessModeenum
publicanyone_with_linkinvite_onlyschedulingPreferencesobject
syncboolean
availabilityobject
syncboolean
workingHoursobject
MOobject[]
startstring
endstring
TUobject[]
startstring
endstring
WEobject[]
startstring
endstring
THobject[]
startstring
endstring
FRobject[]
startstring
endstring
SAobject[]
startstring
endstring
SUobject[]
startstring
endstring
workingHolidaysstring[]
customHolidaysstring[]
holidayCountriesstring[]
holidayCountrystring
defaultsobject
syncboolean
virtualobject
durationnumber
defaultMeetingLinkstring
conferenceSolutionstring
conferenceIntegrationstring
inPersonobject
durationnumber
defaultLocationstring
calendarsobject
syncboolean
readstring[]
writestring
buffersobject
syncboolean
bufferTypeenum
nonemeetingtimeBlockbufferLengthnumber
bufferBlockLengthnumber
dailyMeetingLimitnumber
customEventTitlesobject
internalobject
useCustomTitlesboolean
solostring
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
externalobject
useCustomTitlesboolean
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
Responses
200Updated
ok reqenum
truebookingLink reqobject
id reqstring
account reqstring
user reqstring
slugstring | null
isPrimaryboolean
titlestring | null
active reqboolean
meetingTypeenum
virtualin_persontimezonestring | null
offerTimesStartingDaysnumber
notSoonerThanMinutesnumber
atLatestDaysnumber
instructionsstring | null
chatEnabledboolean
accessModeenum
publicanyone_with_linkinvite_onlyshareToken reqstring
inviteesobject[]
id reqstring
name reqstring
email reqstring
statusenum
pendingbookedinvitedAt reqstring
bookedAt reqstring | null
schedulingPreferencesobject
syncboolean
availabilityobject
syncboolean
workingHoursobject
MOobject[]
startstring
endstring
TUobject[]
startstring
endstring
WEobject[]
startstring
endstring
THobject[]
startstring
endstring
FRobject[]
startstring
endstring
SAobject[]
startstring
endstring
SUobject[]
startstring
endstring
workingHolidaysstring[]
customHolidaysstring[]
holidayCountriesstring[]
holidayCountrystring
defaultsobject
syncboolean
virtualobject
durationnumber
defaultMeetingLinkstring
conferenceSolutionstring
conferenceIntegrationstring
inPersonobject
durationnumber
defaultLocationstring
calendarsobject
syncboolean
readstring[]
writestring
buffersobject
syncboolean
bufferTypeenum
nonemeetingtimeBlockbufferLengthnumber
bufferBlockLengthnumber
dailyMeetingLimitnumber
customEventTitlesobject
internalobject
useCustomTitlesboolean
solostring
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
externalobject
useCustomTitlesboolean
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
createdAt reqstring
updatedAt reqstring
Request
curl 'https://app.openassistant.us/api/booking-links/<bookingLinkId>' \
-X PUT \
-H "Authorization: Bearer ak_live_..." \
-H "Content-Type: application/json" \
-d '{
"slug": "string",
"title": "string",
"active": true,
"meetingType": "virtual"
}'Response
{
"ok": true,
"bookingLink": {
"id": "string",
"account": "string",
"user": "string",
"active": true,
"shareToken": "string",
"createdAt": "2025-01-15T10:30:00.000Z"
}
}DELETE
/booking-links/{bookingLinkId}Delete booking link
Path parameters
bookingLinkId reqstring
Responses
200Deleted
ok reqenum
truebookingLink reqobject
id reqstring
deletedboolean
messagestring
Request
curl 'https://app.openassistant.us/api/booking-links/<bookingLinkId>' \
-X DELETE \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true,
"bookingLink": {
"id": "string"
}
}POST
/booking-links/{bookingLinkId}/inviteesAdd invitees to an invite_only booking link
Path parameters
bookingLinkId reqstring
Request body
invitees reqobject[]
name reqstring
email reqstring
Responses
200Updated
ok reqenum
truebookingLink reqobject
id reqstring
account reqstring
user reqstring
slugstring | null
isPrimaryboolean
titlestring | null
active reqboolean
meetingTypeenum
virtualin_persontimezonestring | null
offerTimesStartingDaysnumber
notSoonerThanMinutesnumber
atLatestDaysnumber
instructionsstring | null
chatEnabledboolean
accessModeenum
publicanyone_with_linkinvite_onlyshareToken reqstring
inviteesobject[]
id reqstring
name reqstring
email reqstring
statusenum
pendingbookedinvitedAt reqstring
bookedAt reqstring | null
schedulingPreferencesobject
syncboolean
availabilityobject
syncboolean
workingHoursobject
MOobject[]
startstring
endstring
TUobject[]
startstring
endstring
WEobject[]
startstring
endstring
THobject[]
startstring
endstring
FRobject[]
startstring
endstring
SAobject[]
startstring
endstring
SUobject[]
startstring
endstring
workingHolidaysstring[]
customHolidaysstring[]
holidayCountriesstring[]
holidayCountrystring
defaultsobject
syncboolean
virtualobject
durationnumber
defaultMeetingLinkstring
conferenceSolutionstring
conferenceIntegrationstring
inPersonobject
durationnumber
defaultLocationstring
calendarsobject
syncboolean
readstring[]
writestring
buffersobject
syncboolean
bufferTypeenum
nonemeetingtimeBlockbufferLengthnumber
bufferBlockLengthnumber
dailyMeetingLimitnumber
customEventTitlesobject
internalobject
useCustomTitlesboolean
solostring
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
externalobject
useCustomTitlesboolean
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
createdAt reqstring
updatedAt reqstring
Request
curl 'https://app.openassistant.us/api/booking-links/<bookingLinkId>/invitees' \
-X POST \
-H "Authorization: Bearer ak_live_..." \
-H "Content-Type: application/json" \
-d '{
"invitees": [
{
"name": "string",
"email": "string"
}
]
}'Response
{
"ok": true,
"bookingLink": {
"id": "string",
"account": "string",
"user": "string",
"active": true,
"shareToken": "string",
"createdAt": "2025-01-15T10:30:00.000Z"
}
}DELETE
/booking-links/{bookingLinkId}/invitees/{inviteeId}Remove a booking link invitee
Path parameters
bookingLinkId reqstring
inviteeId reqstring
Responses
200Updated
ok reqenum
truebookingLink reqobject
id reqstring
account reqstring
user reqstring
slugstring | null
isPrimaryboolean
titlestring | null
active reqboolean
meetingTypeenum
virtualin_persontimezonestring | null
offerTimesStartingDaysnumber
notSoonerThanMinutesnumber
atLatestDaysnumber
instructionsstring | null
chatEnabledboolean
accessModeenum
publicanyone_with_linkinvite_onlyshareToken reqstring
inviteesobject[]
id reqstring
name reqstring
email reqstring
statusenum
pendingbookedinvitedAt reqstring
bookedAt reqstring | null
schedulingPreferencesobject
syncboolean
availabilityobject
syncboolean
workingHoursobject
MOobject[]
startstring
endstring
TUobject[]
startstring
endstring
WEobject[]
startstring
endstring
THobject[]
startstring
endstring
FRobject[]
startstring
endstring
SAobject[]
startstring
endstring
SUobject[]
startstring
endstring
workingHolidaysstring[]
customHolidaysstring[]
holidayCountriesstring[]
holidayCountrystring
defaultsobject
syncboolean
virtualobject
durationnumber
defaultMeetingLinkstring
conferenceSolutionstring
conferenceIntegrationstring
inPersonobject
durationnumber
defaultLocationstring
calendarsobject
syncboolean
readstring[]
writestring
buffersobject
syncboolean
bufferTypeenum
nonemeetingtimeBlockbufferLengthnumber
bufferBlockLengthnumber
dailyMeetingLimitnumber
customEventTitlesobject
internalobject
useCustomTitlesboolean
solostring
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
externalobject
useCustomTitlesboolean
oneAttendeestring
twoAttendeesstring
manyAttendeesstring
createdAt reqstring
updatedAt reqstring
Request
curl 'https://app.openassistant.us/api/booking-links/<bookingLinkId>/invitees/<inviteeId>' \
-X DELETE \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true,
"bookingLink": {
"id": "string",
"account": "string",
"user": "string",
"active": true,
"shareToken": "string",
"createdAt": "2025-01-15T10:30:00.000Z"
}
}POST
/booking-links/{bookingLinkId}/invitees/{inviteeId}/inviteSend (or re-send) a booking link invitee their personal link
Path parameters
bookingLinkId reqstring
inviteeId reqstring
Responses
200Sent
ok reqboolean
Request
curl 'https://app.openassistant.us/api/booking-links/<bookingLinkId>/invitees/<inviteeId>/invite' \
-X POST \
-H "Authorization: Bearer ak_live_..."Response
{
"ok": true
}